const stack = [];
const context = '简历小猎手';

function loop() {
    if (window.ga) {
        flush();
    } else {
        setTimeout(loop, 1000);
    }
}

function flush() {
    let args = null;
    while (args = stack.shift()) {
        ga.apply(null, args);
    }
}

loop();

exports.ga = function() {
    if (window.ga) {
        window.ga.apply(null, arguments);
    } else {
        stack.push(arguments);
    }
};

// 自动补充 send, event, userIdentityContext
//
// @param {String} key
// @param {String} content
// @param {String} detail
exports.gaSendEvent = function(key, content, detail) {
    return ga.call(
        null,
        'send',
        'event',
        `${context}-${key}`,
        content,
        detail
    );
};


// 自动补充 send, event, userInfo
//
// @param {String} key
// @param {String} content
exports.gaSendAccountEvent = function(key, content) {
    return ga.call(
        null,
        'send',
        'event',
        key,
        content,
        `${userInfo}`
    );
};

// 自动补充 send, event, userIdentityContext, userFirm-userInfo
//
// @param {String} key
// @param {String} content
exports.gaSendUserEvent = function(key, content, action) {
    return ga.call(
        null,
        'send',
        'event',
        `${context}-${key}`,
        content,
        (action ? (action + '-') : '')
    );
};

// 自动补充 send, event, userIdentityContext, userFirm-jobInfo
//
// @param {String} key
// @param {String} content
exports.gaSendJobEvent = function(key, content) {
    return ga.call(
        null,
        'send',
        'event',
        `${context}-${key}`,
        content
    );
};