import 'es6-promise';
import 'whatwg-fetch';

let bazaUrl = 'https://api.xls.bazhua.me/point/count/new/buriedpoint';
// let bazaUrl = 'https://xlsapi.stg.ibole.net/point/count/new/buriedpoint'; //stg环境埋点

const METHODS = {
  GET: 'get',
  POST: 'post',
  PUT: 'post',
  DELETE: 'delete'
};

const request = (url, params, method = METHODS.POST, jsonType = false) => {
  var options = {
    headers: {
      'Agent-Header': 'resumeXLS',
      'Content-Type': jsonType
        ? 'application/json'
        : 'application/x-www-form-urlencoded'
    },
    method: method,
    credentials: 'include'
  };
  if (method === METHODS.POST && params) {
    params.productVersion = chrome.runtime.getManifest().version; //版本号的参数
    params.url = window.location.href;
    options.body = JSON.stringify(params);
  }

  return fetch(url, options).then(handleRes);
};

export const bazaAnalyse = param => {
  // let data = {
  //     [param.key]: param.value
  // };
  return request(bazaUrl, param, 'post', true);
};

const handleRes = res => {
  if (res.code == 200) {
    console.log('send success');
  } else {
    console.log(res.msg);
  }
};
