const required = (value) => {
    return value.trim()
}

const password = (value) => {
    return /((?=.*\d)(?=.*[a-zA-Z]).{7,20})/.test(value)
}

const mobile = (value) => {
    return /^1[3-9]\d{9}$|^(\+|00)\d{8,15}$/.test(value)
}

const internationalMobile = (value) => {
    return /^1([348]\d|5[012356789]|66|7[0135678]|9[89])\d{8}$|^(\+|00)\d{8,15}$/.test(value)
}

const email = (value) => {
    return /(^\s*[a-zA-Z0-9_%+#&'*/=^`{|}~-](?:\.?[a-zA-Z0-9_%+#&'*/=^`{|}~-])*@(?:[a-zA-Z0-9_](?:(?:\.?|-*)[a-zA-Z0-9_])*\.[a-zA-Z]{2,9}|\[(?:2[0-4]\d|25[0-5]|[01]?\d\d?)\.(?:2[0-4]\d|25[0-5]|[01]?\d\d?)\.(?:2[0-4]\d|25[0-5]|[01]?\d\d?)\.(?:2[0-4]\d|25[0-5]|[01]?\d\d?)])\s*$)|(^(1[3-9])\d{9}$)/.test(value)
}

const max = (max, value) => {
    return value.length <= max
}

const min = (min, value) => {
    return value.length >= min
}

const positiveInteger = (value) => {
    return /^[0-9]\d*$/.test(value)
}

exports.validator = {
    required,
    password,
    mobile,
    internationalMobile,
    email,
    max,
    min,
    positiveInteger
}
